%define module  m2r

Name:           python-%{module}
Version:        0.1.13
Release:        %mkrel 1
Summary:        Markdown to reStructuredText converter
Group:          Development/Python
License:        MIT
URL:            https://github.com/miyakogi/%{module}
Source0:        https://pypi.io/packages/source/m/m2r/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
M2R converts a markdown file including reST markups to a valid reST format.

#------------------------------------------------

%package -n     python2-%{module}
Summary:        Markdown to reStructuredText converter
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(docutils)
BuildRequires:  pythonegg(2)(mistune)
BuildRequires:  pythonegg(2)(pygments)
BuildRequires:  pythonegg(2)(mock)

%description -n python2-%{module}
M2R converts a markdown file including reST markups to a valid reST format.

#------------------------------------------------

%package -n     python3-%{module}
Summary:        Markdown to reStructuredText converter
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(docutils)
BuildRequires:  pythonegg(3)(mistune)
BuildRequires:  pythonegg(3)(pygments)
BuildRequires:  pythonegg(3)(mock)

%description -n python3-%{module}
M2R converts a markdown file including reST markups to a valid reST format.

#------------------------------------------------

%prep
%setup -qn %{module}-%{version}

# Remove upstream's egg-info
rm -rf %{module}.egg-info

# Remove shebang
sed -i '1{\@^#!/usr/bin/env python@d}' m2r.py

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
#PYTHONPATH=$(pwd) %%{__python2} setup.py test -s tests
#PYTHONPATH=$(pwd) %%{__python3} setup.py test -s tests

%files -n python2-%{module}
%license LICENSE
%doc README.md
%{python2_sitelib}/%{module}.py{,c,o}
%{python2_sitelib}/%{module}-%{version}*-py%{python2_version}.egg-info
%exclude %{python2_sitelib}/tests

%files -n python3-%{module}
%license LICENSE
%doc README.md
%{_bindir}/m2r
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{module}.py
%{python3_sitelib}/%{module}-%{version}*-py%{python3_version}.egg-info
%exclude %{python3_sitelib}/tests


%changelog
* Tue Feb 20 2018 daviddavid <daviddavid> 0.1.13-1.mga6
+ Revision: 1203500
- branch python-m2r for mga6 (needed for python-twisted)

* Wed Feb 14 2018 daviddavid <daviddavid> 0.1.13-1.mga7
+ Revision: 1200958
- new version: 0.1.13

* Fri Oct 06 2017 daviddavid <daviddavid> 0.1.12-1.mga7
+ Revision: 1169555
- imported package python-m2r

